import OGIS.*;
import java.util.*;
import org.omg.CORBA.*;

/**
    Test FeatureType Interfaces
 */

public class FeatureTypeTest {


    public static boolean testFTF(
                    MainPanel          panel,
                    FeatureTypeFactory ftRef
                    )
    {
        boolean result = true;
        panel.print("\n> testing FeatureTypeFactory ..\n");

        try {
            //================================================
            // Feature Type Factory
            //================================================
            String name = "Road";
            PropertyDef[] propdef = new PropertyDef[1];
            propdef[0] = new PropertyDef( "id",
               org.omg.CORBA.ORB.init().get_primitive_tc( TCKind.tk_long ),
               true );
            FeatureType[] parents = new FeatureType[0]; // no parents

            try {
              panel.print(">     FeatureTypeFactory.create()");
              FeatureType ft = ftRef.create( name, propdef, parents );
            } catch ( OGIS.FeatureTypeFactoryPackage.InvalidParams e ) {
              panel.print(">     -- invalid params.");
            }

        } catch (Exception e){
            result = false;
            panel.print("> ERROR !");
            e.printStackTrace();
        }

        return result;
    }


}